/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2012. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

beforeInitEnv = function() {
	require(['dojo/_base/lang', 'dojo/dom', 'dojo/dom-style', 'dojo/on', 'dijit/registry', 'dojox/mobile/TransitionEvent'], 
		function(lang, dom, domStyle, on, registry, TransitionEvent) {
		WL.TabBar.init();
		feedsTab = WL.TabBar.addItem('feeds', function(){
			new TransitionEvent(dom.byId('loadDiv'),
				{'moveTo': 'mainFeedView', transition: 'slide', transitionDir: -1}).dispatch();
		}, 'Feeds', {image: 'images/feed.png', imageSelected: 'images/feed.png'});
		aboutTab = WL.TabBar.addItem('about', function(){
			new TransitionEvent(dom.byId('loadDiv'),
				{'moveTo': 'aboutView', transition: 'slide', transitionDir: 1}).dispatch();
		}, 'About', {image: 'images/about.png', imageSelected: 'images/about.png'});
		
		on(registry.byId("FeedDeatilView"), "afterTransitionIn", function() {
			inTrans = false;
			registry.byId("feedList").deselectAll();
			WL.App.overrideBackButton(function() {
				new TransitionEvent(dom.byId('loadDiv'),
					{'moveTo': 'mainFeedView', transition: 'slide', transitionDir: -1}).dispatch();
			});
		});
		on(registry.byId("FeedDeatilView"),"beforeTransitionOut", function() {
			WL.App.resetBackButton();
		});
		
		WL.TabBar.setSelectedItem('feeds');
		WL.TabBar.setVisible(true);
		
		WL.OptionsMenu.init();
		WL.OptionsMenu.addItem('reload', function () {loadFeeds();}, 'Reload', {image : 'reload', enabled : true});
		
		domStyle.set('aboutTab', 'height', (screen.height - 60) + 'px');
	});
};

// This method is invoked after loading the main HTML and successful initialization of the Worklight runtime.
function wlEnvInit(){
    wlCommonInit();
    // Environment initialization code goes here
}